# Derived values
%define module Convert-TNEF
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary: Perl module %{module}
Name: perl-convert-tnef
Version: 0.17
Release: 6tr
License: distributable
Group: Trustix Official
Source0: http://search.cpan.org/CPAN/authors/id/D/DO/DOUGW/Convert-TNEF-0.17.tar.gz
Url: http://www.cpan.org
BuildRoot: /var/tmp/%{name}-buildroot-%(id -nu)/
BuildRequires:  perl
BuildRequires:  perl(MIME::Body)
Requires:       perl = %{perlver}
Provides:       %{module} = %{version}

%define siteperl /usr/lib/perl5/site_perl/%{perlver}

%description
%{module} module from CPAN for perl

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n %{module}-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
%{makeinstall}

find $RPM_BUILD_ROOT -name \*.pod -o -name .packlist | xargs rm

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{siteperl}/Convert
%{_mandir}/man3/*
%doc Changes MANIFEST README

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Mon Jun 06 2005 Ajith Thampi <ajith at comodo dot com> 0.17-5tr
- Rebuilt on perl-5.8.7	
		
* Thu Mar 17 2005 Hasher Jamaludeen <syedshabir at comodo dot com> 0.17-3tr
- Rebuilt

* Tue Oct  5 2004 Syed Shabir <syedshabir at comodo dot com> 0.17-tr
- Rebuilt for TSL 2.2

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Thu Feb 12 2004 Gerald Dachs <gda at trustix dot org> 0.17-2gd
- fixed permission on directory
- added %doc to %files section

* Fri Jan 30 2004 Erlend Midttun <erlendbm at trustix dot org>
- Initial release for Trustix based off a few others.

